# eouTools Installation Guide
## 1 - Requirements
Make sure you meet the following requirements:
- python >= 3.10 (required)
- python >= 3.12 (suggested)
- pip >= 20.3.1 (suggested?)
- numpy<=1.26.4 (suggested?)
- numpy (suggested)
- Deprecated (required)

## 2 - Requirements Installation
How to install certain requirements if your system does not already meet them
### pip >= 20.3.1
```commandline
python -m pip install --upgrade pip>=20.3.1
```

### numpy<=1.26.4
```commandline
python -m pip install --upgrade numpy<=1.26.4
```

### numpy
```commandline
python -m pip install --upgrade numpy
```

## Deprecated
```commandline
python -m pip install --upgrade Deprecated
```

## 3 - Installation
To install eouTools, please run:
```commandline
python -m pip install eouTools
```

## 4 - Updates
If you wish to upgrade to the latest version of eouTools when new releases come out, run:
```commandline
python -m pip install --upgrade eouTools
```

## 5 - Removal
If you wish to uninstall eouTools, run:
```commandline
python -m pip uninstall eouTools
```
And please leave us a feedback with what drove you to uninstall it